Bug 1413192 - [Docs] Custom datacenter/cluster creation in RHV will not be available
Summary: [Docs] Custom datacenter/cluster creation in RHV will not be available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: doc-Release_Notes
Version: 1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.1
Assignee: Julie
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 21:18 UTC by Fabian von Feilitzsch
Modified: 2017-02-28 01:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 01:43:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0335 0 normal SHIPPED_LIVE Red Hat Quickstart Installer 1.1 2017-02-28 06:36:13 UTC

Description Fabian von Feilitzsch 2017-01-13 21:18:06 UTC
Description of problem:

Only the Default datacenter and Default cluster will be created, if the user wants another datacenter or cluster they will have to make it after the deployment has finished.

https://bugzilla.redhat.com/show_bug.cgi?id=1413189
https://github.com/ansible/ansible/issues/20246

Comment 2 John Matthews 2017-01-16 14:31:31 UTC
This change of behavior is only for 1.1, background is that we learned of a bug in the ansible modules to create VMs on ovirt, they did not handle the case of multiple DataCenters.

Issue is that when creating a VM we need to specify the network to use, the ansible ovirt modules do a lookup by name for the network and get the first match.  For cases when multiple data centers exist, it's likely that each has a default network of 'ovirtmgmt', causing potential for problems.

For QCI 1.1 release we are disabling the ability to change the data center, we plan to re-enable this functionality in a future release once the underlying issue has been fixed.

Comment 4 Tasos Papaioannou 2017-01-18 15:44:41 UTC
Verified.

Comment 6 errata-xmlrpc 2017-02-28 01:43:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:0335


Note You need to log in before you can comment on or make changes to this bug.